Name: ansible
%define subrel 3
Release: %mkrel 1
Summary: SSH-based configuration management, deployment, and task execution system
Version: 2.4.6.0
Group: Development/Python
License: GPLv3
Source0: http://releases.ansible.com/ansible/%{name}-%{version}.tar.gz
Patch0: 4c6d714aefb05366cb329e139214c89ebb364899.patch
# Fix CVE-2019-3828
Patch1: a45497384093efe7bcee4251de162935c63f31da.patch
Patch2: 1fd8569fd85eaa965481f5dccbc6f59ae404cfdb.patch
# Fix CVE-2018-16837
Patch3: 3465a13824f68b97976b13b00429d83344f93b48.patch
Url: http://ansible.com
BuildArch: noarch
BuildRequires: python-devel
BuildRequires: python-setuptools
Requires: PyYAML
Requires: python-paramiko
Requires: python-jinja2
Requires: python-keyczar

%description

Ansible is a radically simple model-driven configuration management,
multi-node deployment, and orchestration engine. Ansible works
over SSH and does not require any software or daemons to be installed
on remote nodes. Extension modules can be written in any language and
are transferred to managed machines automatically.

#%package fireball
#Summary: Ansible fireball transport support
#Group: Development/Libraries
#Requires: %{name} = %{version}-%{release}
#Requires: python-keyczar
#Requires: python-zmq
#
#%description fireball
#
#Ansible can optionally use a 0MQ based transport mechanism, which is
#considerably faster than the standard ssh mechanism when there are
#multiple actions, but requires additional supporting packages.
#
#%package node-fireball
#Summary: Ansible fireball transport - node end support
#Group: Development/Libraries
#Requires: python-keyczar
#Requires: python-zmq
#
#%description node-fireball
#
#Ansible can optionally use a 0MQ based transport mechanism, which has
#additional requirements for nodes to use.  This package includes those
#requirements.

%prep
%setup -q
%autopatch -p1

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --prefix=%{_prefix} --root=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/ansible/
cp examples/hosts $RPM_BUILD_ROOT/etc/ansible/
cp examples/ansible.cfg $RPM_BUILD_ROOT/etc/ansible/
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/{man1,man3}/
cp -v docs/man/man1/*.1 $RPM_BUILD_ROOT/%{_mandir}/man1/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/ansible

%files
%{python_sitelib}/ansible*
%{_bindir}/ansible*
%dir %{_datadir}/ansible
#%exclude %{_datadir}/ansible/utilities/fireball
#%exclude %{_mandir}/man3/ansible.fireball.*
%config(noreplace) %{_sysconfdir}/ansible
%doc README.md PKG-INFO COPYING
%doc %{_mandir}/man1/ansible*
#%doc examples/playbooks

#%files fireball
#%{_datadir}/ansible/utilities/fireball
#%doc %{_mandir}/man3/ansible.fireball.*
#
#%files node-fireball
#%doc README.md PKG-INFO COPYING


%changelog
* Sun Mar 17 2019 bcornec <bcornec> 2.4.6.0-1.3.mga6
+ Revision: 1378396
- Fix CVE-2019-3828 and CVE-2018-16837 by modifying Debian patches
- Fix mga#24065 by adapting upstream patch
- Update to upstream ansible 2.4.6.0 to fix mga#23321
- Update mga6 to ansible upstream 2.4.5.0
- Update to upstream 2.4.0.1

* Sat Jun 03 2017 mitya <mitya> 2.3.1.0-1.mga6
+ Revision: 1106349
- New version 2.3.1.0

* Thu May 11 2017 bcornec <bcornec> 2.3.0.0-1.mga6
+ Revision: 1100145
- Fix mga#19740 by upgrading upstream to 2.3.0.0

* Sat Jan 28 2017 bcornec <bcornec> 2.2.1.0-1.mga6
+ Revision: 1083710
- Update to upstream ansible 2.2.1.0 to fix multiple CVEs

* Sun Nov 20 2016 bcornec <bcornec> 2.2.0.0-1.mga6
+ Revision: 1068498
- Fix #19740 by upgrading to upstream 2.2.0.0

* Sat Sep 03 2016 bcornec <bcornec> 2.1.1.0-1.mga6
+ Revision: 1049859
- Update ansible to upstream 2.1.1

* Fri Apr 22 2016 bcornec <bcornec> 2.0.2.0-1.mga6
+ Revision: 1005372
- Update to upstream 2.0.2.0

* Sun Jan 03 2016 bcornec <bcornec> 1.9.4-1.mga6
+ Revision: 919094
- Update to upstream 1.9.4

* Sun Jul 12 2015 bcornec <bcornec> 1.9.2-1.mga6
+ Revision: 853431
- ANd sha1 update !
- Update to upstream 1.9.2 (Fixes #16309)

* Fri Dec 05 2014 bcornec <bcornec> 1.8.1-1.mga5
+ Revision: 801606
- Update to upstream 1.8.1

* Thu Oct 16 2014 bcornec <bcornec> 1.7.2-1.mga5
+ Revision: 758892
- Update to upstream ansible 1.7.2
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.7.1-3.mga5
+ Revision: 725940
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.7.1-2.mga5
+ Revision: 677767
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 bcornec <bcornec> 1.7.1-1.mga5
+ Revision: 670239
- Update to ansibla 1.7.1 upstream

* Mon Aug 11 2014 bcornec <bcornec> 1.7-1.mga5
+ Revision: 661832
- Update to upstream ansible 1.7

* Sun Aug 10 2014 bcornec <bcornec> 1.6.10-1.mga5
+ Revision: 661315
- Update to upstream 1.6.10 to fixing security issues

* Thu Jul 24 2014 bcornec <bcornec> 1.6.8-3.mga5
+ Revision: 656219
- python-setuptools is a BuildRequire of course !
- ansible now requires python-setuptools to build correctly
- Update to upstream 1.6.8

* Sat May 31 2014 pterjan <pterjan> 1.5.5-2.mga5
+ Revision: 628100
- Rebuild for new Python

* Tue Apr 29 2014 bcornec <bcornec> 1.5.5-1.mga5
+ Revision: 618792
- Update ansible to 1.5.5 upstream
- No man3 man pages provided anymore so remove their copy

* Wed Jan 22 2014 bcornec <bcornec> 1.4.3-1.mga5
+ Revision: 567445
- Update to upstream 1.4.3

* Tue Dec 03 2013 bcornec <bcornec> 1.4.1-1.mga4
+ Revision: 554733
- Update to upstream 1.4.1

* Sat Nov 23 2013 bcornec <bcornec> 1.4-1.mga4
+ Revision: 552390
- Update to upstream ansible 1.4

* Mon Nov 11 2013 philippem <philippem> 1.3.4-4.mga4
+ Revision: 550500
- Add Requires python-keyczar on main package for accelerated mode

* Sun Nov 03 2013 bcornec <bcornec> 1.3.4-3.mga4
+ Revision: 549294
- Update to upstream 1.3.4

* Tue Oct 22 2013 umeabot <umeabot> 1.3.2-3.mga4
+ Revision: 542481
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 1.3.2-2.mga4
+ Revision: 497632
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Oct 08 2013 bcornec <bcornec> 1.3.2-1.mga4
+ Revision: 493040
- Update ansible to 1.3.2 upstream

* Mon Sep 09 2013 bcornec <bcornec> 1.2.3-2.mga4
+ Revision: 476539
- Push reltag to 2 for ansible as previous patches consequence
- Do not generate the 0mq packages for now as zeromq is not in Mageia yet and SSH can be used
- Update Group in SPEC file for ansible
- Update sha for ansible
- Import from Fedora the ansible package
- Created package structure for ansible.

